# $Revision: 1.10 $, $Date: 2009/06/18 13:09:04 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MIME-ContentType
Summary:	Email::MIME::ContentType - parse a MIME Content-Type header
Summary(pl.UTF-8):	Email::MIME::ContentType - analiza nagłówka MIME Content-Type
Name:		perl-Email-MIME-ContentType
Version:	1.015
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f098ffed16ccab03a3bd51449eba175f
URL:		http://search.cpan.org/dist/Email-MIME-ContentType/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is responsible for parsing email content type headers
according to section 5.1 of RFC 2045. It returns a hash as above,
with entries for the discrete type, the composite type, and a hash
of attributes.

%description -l pl.UTF-8
Ten moduł odpowiada za analizę nagłówków listów dotyczących rodzaju
zawartości zgodnie z rozdziałem 5.1 RFC 2045. Zwraca hasza z wpisami
dla typu dyskretnego, typu złożonego i hasza atrybutów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-MIME-ContentType.spec,v $
Revision 1.10  2009/06/18 13:09:04  amateja
- updated to 1.015

Revision 1.9  2008/01/09 17:18:40  qboosh
- generic URL, adjusted pl

Revision 1.8  2008-01-09 12:46:02  agaran
- up to 1.014, rel 1, builds here

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2005/05/31 16:08:27  petec
- up to 1.01

Revision 1.4  2004/12/09 22:12:31  ankry
- unified capitalization

Revision 1.3  2004/12/09 21:31:42  qboosh
- pl

Revision 1.2  2004/12/09 12:02:10  radek
- tweaked BR

Revision 1.1  2004/12/09 11:59:14  radek
- new
